Bug 234438 - www/cpr: fix build with GCC-based architectures
Summary: www/cpr: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-27 10:49 UTC by Piotr Kubaj
Modified: 2018-12-31 05:06 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (che)


Attachments
patch (363 bytes, patch)
2018-12-27 10:49 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-12-27 10:49:24 UTC
Created attachment 200552 [details]
patch

USES=compiler:c++11-lang is necessary to build on GCC architectures.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 commit-hook freebsd_committer 2018-12-30 12:47:21 UTC
A commit references this bug:

Author: linimon
Date: Sun Dec 30 12:46:28 UTC 2018
New revision: 488713
URL: https://svnweb.freebsd.org/changeset/ports/488713

Log:
  This port requires USES=compiler:c++11-lang to build on GCC-based
  architectures.

  PR:		234438
  Submitted by:	Piotr Kubaj
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/www/cpr/Makefile